package com.diagbot.vo;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description
 * @author rgb
 * @time 2018年12月5日下午5:00:52
 */
@ApiModel(value="标签添加同义词接口传参")
@Getter
@Setter
public class AddTagRetrievalVO {
	
	/**
     * 标签id
     */
	@ApiModelProperty(value="标签id",required=true)
	@NotNull(message="标签id必传")
    private Long questionId;
	
	
	/**
	 * 同义词名称
	 */
	@ApiModelProperty(value="同义词名称",required=true)
	@NotBlank(message="同义词名称必传")
	private String retrievalName;
	
	/**
	 * 同义词拼音
	 */
	@ApiModelProperty(value="同义词拼音",required=true)
	@NotBlank(message="同义词拼音必传")
	private String retrievalSpell;
	
	/**
	 * 同义词种类
	 */
	@ApiModelProperty(value="同义词种类",required=true)
	@NotNull(message="同义词种类必传")
	private Integer retrievalType;
	
}
